Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.parsers
Class FactoryConfigurationError

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Error
                  |
                  +--javax.xml.parsers.FactoryConfigurationError

public class FactoryConfigurationError
extends java.lang.Error

This error is thrown if there is a configuration problem when creating new factory instances.
This error will also be thrown when the class of a Factory specified by a system property, or the class of the default system parser factory, cannot be loaded or instantiated.
Implementation or Application developers should never need to directly construct or catch errors of this type.
ATTENTION: THIS IMPLEMENTATION OF THE "JAVAX.XML.PARSER" CLASSES IS NOT THE OFFICIAL REFERENCE IMPLEMENTATION OF THE JAVA SPECIFICATION REQUEST 5 FOUND AT http://java.sun.com/aboutJava/communityprocess/jsr/jsr_005_xml.html
THIS IMPLEMENTATION IS CONFORMANT TO THE "JAVA API FOR XML PARSING" SPECIFICATION VERSION 1.1 PUBLIC REVIEW 1 BY JAMES DUNCAN DAVIDSON PUBLISHED BY SUN MICROSYSTEMS ON NOV. 2, 2000 AND FOUND AT http://java.sun.com/xml
THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Version:
  1.0 CVS $Revision: 1.3 $ $Date: 2000/11/16 00:57:43 $
See Also:
  Serialized Form

Constructor Summary
`FactoryConfigurationError()` Create a new `FactoryConfigurationError` with no detail mesage.
`FactoryConfigurationError(java.lang.Exception e)` Create a new `FactoryConfigurationError` with a given `Exception` base cause of the error.
`FactoryConfigurationError(java.lang.Exception e, java.lang.String msg)` Create a new `FactoryConfigurationError` with the given `Exception` base cause and detail message.
`FactoryConfigurationError(java.lang.String msg)` Create a new `FactoryConfigurationError` with the `String` specified as an error message.

Method Summary
`java.lang.Exception` | `getException()` Return the actual exception (if any) that caused this exception to be raised.
`java.lang.String` | `getMessage()` Return the message (if any) for this error .

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FactoryConfigurationError

    public FactoryConfigurationError()

  Create a new `FactoryConfigurationError` with no detail mesage.

### FactoryConfigurationError

    public FactoryConfigurationError(java.lang.String msg)

  Create a new `FactoryConfigurationError` with the `String` specified as an error message.
  Parameters:
    `msg` - The error message for the exception.

### FactoryConfigurationError

    public FactoryConfigurationError(java.lang.Exception e)

  Create a new `FactoryConfigurationError` with a given `Exception` base cause of the error.
  Parameters:
    `e` - The exception to be encapsulated in a FactoryConfigurationError.

### FactoryConfigurationError

    public FactoryConfigurationError(java.lang.Exception e,
                                     java.lang.String msg)

  Create a new `FactoryConfigurationError` with the given `Exception` base cause and detail message.
  Parameters:
    `e` - The exception to be encapsulated in a FactoryConfigurationError
    `msg` - The detail message.
    `e` - The exception to be wrapped in a FactoryConfigurationError

Method Detail

### getMessage

    public java.lang.String getMessage()

  Return the message (if any) for this error . If there is no message for the exception and there is an encapsulated exception then the message of that exception will be returned.
  Overrides:
    getMessage in class java.lang.Throwable
  Returns:
    The error message.

### getException

    public java.lang.Exception getException()

  Return the actual exception (if any) that caused this exception to be raised.
  Returns:
    The encapsulated exception, or null if there is none.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD